package cd.casic.ci.process.process.converter;

import cd.casic.ci.process.dto.resp.stage.StageResp;
import cd.casic.ci.process.process.dataObject.stage.PipStage;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper(componentModel = "spring")
public interface StageConverter {
    StageConverter INSTANCE = Mappers.getMapper(StageConverter.class);
    public StageResp converter(PipStage stage);
    public List<StageResp> converter(List<PipStage> stage);

}
